Subject: CFT: imaps://public-inbox.org/INBOX.comp.version-control.git.7

From: Eric Wong <[email-masked]>
Date: Wed, 10 Jun 2020 18:41:47 +0000

Hey all, I've been busy with public-inbox work this year.
I started working on a read-only IMAP/IMAPS server, and I expect
kernel.org to eventually host a v2 copy, too; and hopefully
other folks get interested in mirroring.

For now, you can access git@vger archives through 8 IMAP
mailboxes sliced into ~50K messages to not overload clients.
They go from 0..7, with 7 being the most recent:

imaps://public-inbox.org/INBOX.comp.version-control.git.0
imaps://public-inbox.org/INBOX.comp.version-control.git.1
imaps://public-inbox.org/INBOX.comp.version-control.git.2
imaps://public-inbox.org/INBOX.comp.version-control.git.3
imaps://public-inbox.org/INBOX.comp.version-control.git.4
imaps://public-inbox.org/INBOX.comp.version-control.git.5
imaps://public-inbox.org/INBOX.comp.version-control.git.6
imaps://public-inbox.org/INBOX.comp.version-control.git.7

When more messages show up,
imaps://public-inbox.org/INBOX.comp.version-control.git.8
should exist.

I've tested with mutt, offlineimap and mbsync (isync).

It's not yet complete (when is software ever?), but it's a
usable start, I think.  Some more info about it over on
[email-masked]:
https://public-inbox.org/meta/20200609113442.GA16856@dcvr/
https://public-inbox.org/meta/[email-masked]/
And maybe JMAP is coming, too...